%%%
%% ׿׿
%%  by Motoaki Sato (ULS and Company), 2018. 
%%     E-mail: teppei@uls.co.jp, http://www.uls.co.jp/
\NeedsTeXFormat{pLaTeX2e}
\ProvidesClass{ism}
%%[2017/04/11 v1.0 for ׿]
%%[2018/09/21 v1.1 for ׿]
  [2018/11/26 v1.2 for ׿]

\newif\if@enable@uptex \@enable@uptexfalse
\ifx\ucs\@undefined\else
 \ifnum\ucs"3000="3000
  \@enable@uptextrue
 \fi
\fi

%\def\<{%
% \ifvmode
%  \leavevmode\inhibitglue
% \else
%  \inhibitglue
% \fi
%}

%\newdimen\@JQ
%\if@enable@uptex
% \@JQ=0.769362pt
%\else
% \@JQ=0.7392507pt
%\fi
\newdimen\@EM
 \@EM=.03125em

\def\ismline@warning{\ClassWarning{ism}}
\def\ism@warning{\ClassWarningNoLine{ism}}

\newif\if@ismdraft \@ismdraftfalse
\DeclareOption{ismdraft}{\@ismdrafttrue}

\newif\if@cameraready \@camerareadyfalse
\DeclareOption{cameraready}{\@camerareadytrue}
\newif\if@foreword \@forewordfalse
\DeclareOption{foreword}{\@forewordtrue}
\newif\if@Proof \@Prooffalse
\DeclareOption{Proof}{\@Prooftrue}
\newif\if@usehiragino\@usehiraginofalse
\DeclareOption{use-hiragino}{\@usehiraginotrue}

\newcounter{@paper}
\newcommand{\@ptsize}{}
\newif\if@restonecol
\hour\time \divide\hour by 60\relax
\@tempcnta\hour \multiply\@tempcnta 60\relax
\minute\time \advance\minute-\@tempcnta
%\newif\if@stysize \@stysizefalse
\newif\if@enablejfam \@enablejfamtrue
\newif\if@mathrmmc \@mathrmmcfalse
\DeclareOption{a4paper}{\setcounter{@paper}{1}%
  \setlength\paperheight {297mm}%
  \setlength\paperwidth  {210mm}}
\DeclareOption{b5paper}{\setcounter{@paper}{4}%
  \setlength\paperheight {257mm}%
  \setlength\paperwidth  {182mm}}
\DeclareOption{10pt}{\renewcommand{\@ptsize}{0}}
\DeclareOption{11pt}{\renewcommand{\@ptsize}{1}}
\DeclareOption{12pt}{\renewcommand{\@ptsize}{2}}
\DeclareOption{tombow}{%
  \tombowtrue \tombowdatetrue
  \setlength{\@tombowwidth}{.1\p@}%
  \@bannertoken{%
     \jobname\space:\space\number\year/\number\month/\number\day
      (\number\hour:\number\minute)}
  \maketombowbox}
\DeclareOption{tombo}{%
  \tombowtrue \tombowdatefalse
  \setlength{\@tombowwidth}{.1\p@}%
  \maketombowbox}
\DeclareOption{mentuke}{%
  \tombowtrue \tombowdatefalse
  \setlength{\@tombowwidth}{\z@}%
  \maketombowbox}
\DeclareOption{tate}{%
  \AtBeginDocument{\tate\message{Խȥ⡼ɡ}%
                   \adjustbaseline}%
}
\DeclareOption{oneside}{\@twosidefalse}
\DeclareOption{twoside}{\@twosidetrue}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{%\input{leqno.clo}
 \ism@warning{leqno is incorporated into this class file}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}}
\DeclareOption{disablejfam}{\@enablejfamfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\ExecuteOptions{10pt,twoside,onecolumn,final}
\ProcessOptions\relax

\if@ismdraft
 \setlength\paperheight {297mm}
 \setlength\paperwidth  {210mm}
\else
 \setlength\paperheight {257mm}
 \setlength\paperwidth  {182mm}
\fi

%% pdf papersize
\iftombow % +26mm (10+3)x2
 \if@ismdraft\else
  \AtBeginDvi{\special{papersize=208mm,283mm}}%
  \hoffset-12.5mm\voffset-12.5mm % 13
 \fi
\else
 \if@ismdraft
  \AtBeginDvi{\special{papersize=210mm,297mm}}%
 \else
  \AtBeginDvi{\special{papersize=182mm,257mm}}%
 \fi
\fi

\def\kenc@JYn{\if@enable@uptex JY2\else JY1\fi}
\def\kenc@JTn{\if@enable@uptex JT2\else JT1\fi}

%  <-> s * [1.0392687] jis
% 1.0682/1.0392687=1.027838 132717747
% 1.027846/1.0682=0.96222243025651

\if@enable@uptex
\if@cameraready
\input ism-utf.fd
\else
%% ܤˤ (toukeisuri2.sty) ɤФΨʬʤ
%% ism.cls Ǥ platex(euc)  s * [1.0682] ȤƤΤ
%% \setbox0\hbox{}\typeout{!!! \the\wd0}  
%% platex(euc)=92.5061pt / uplatex(utf)=90pt 줿Τ
%% 92.5061/90=1.027845556  1.027846 Ȥ
\DeclareFontShape{JY2}{mc}{m}{n}{% 塼ߥRegular
  <-> s*[1.027846]upjisr-h
  %<-> s*[1]upjisr-h
}{}
\DeclareFontShape{JY2}{gt}{m}{n}{% 楴å BBB
  <-> s*[1.027846]upjisg-h
  %<-> s*[1]upjisg-h
}{}%
\DeclareFontShape{JY2}{mc}{b}{n}{% ߥA101
  <-> s*[1.0103]upjisr-h
  %<-> s*[1]upjisr-h
}{}
%%
\DeclareFontShape{JT2}{mc}{m}{n}{% 塼ߥ Regular
  <-> s*[1.027846]upjisr-v
  %<-> s*[1]upjisr-v
}{}
\DeclareFontShape{JT2}{gt}{m}{n}{% 楴å BBB
  <-> s*[1.027846]upjisg-v
  %<-> s*[1]upjisg-v
}{}%
\DeclareFontShape{JT2}{mc}{b}{n}{% ߥA101
  <-> s*[1.0103]upjisr-v
  %<-> s*[1]upjisr-v
}{}
\fi
\else
%% <from uls_book.cls>
%%  <-> s * [1.0392687] xxx
%% </from uls_book.cls>
%% 
%% <from /work/sasaki/ism/style/sample_original/toukeisuri2.sty>
%{\catcode`\/=12
%\global\expandafter\let\csname JY1/mc/m/n/10\endcsname=\relax}
%\DeclareFontShape{JY1}{mc}{m}{n}{ <-> s * [1.071] jis}{}
%\DeclareFontShape{JY1}{mc}{bx}{n}{ <-> s * [1.071] jisg}{}
%\DeclareFontShape{JY1}{gt}{m}{n}{ <-> s * [1.071] jisg}{}
%\DeclareFontShape{JY1}{mc}{m}{it}{ <-> s* [1.071] jis}{}
%% </from /work/sasaki/ism/style/sample_original/toukeisuri2.sty>
%% 
%% 9pt (8.65994pt)   (8.65994 x [1.0682] = 9.250547908pt)
\if@cameraready
\input ism.fd
\else
\DeclareFontShape{JY1}{mc}{m}{n}{ <-> s * [1.0682] jis}{}%
\DeclareFontShape{JY1}{mc}{bx}{n}{ <-> s * [1.0682] jisg}{}%
\DeclareFontShape{JY1}{gt}{m}{n}{ <-> s * [1.0682] jisg}{}%
\DeclareFontShape{JY1}{mc}{b}{n}{%
 <-> s * [1.05] jis % ߥA101 1.0392687 / 1.0682
}{}
\fi
\fi

\DeclareFontShape{\kenc@JYn}{gt}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{gt}{bx}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{b}{it}{<->ssub*mc/b/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{bx}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{m}{sl}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{m}{sc}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JTn}{gt}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{gt}{bx}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{b}{it}{<->ssub*mc/b/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{bx}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{m}{sl}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{m}{sc}{<->ssub*mc/m/n}{}

\xspcode`+=3
\xspcode`\%=3
\xspcode`^^80=3
\xspcode`^^81=3
\xspcode`^^82=3
\xspcode`^^83=3
\xspcode`^^84=3
\xspcode`^^85=3
\xspcode`^^86=3
\xspcode`^^87=3
\xspcode`^^88=3
\xspcode`^^89=3
\xspcode`^^8a=3
\xspcode`^^8b=3
\xspcode`^^8c=3
\xspcode`^^8d=3
\xspcode`^^8e=3
\xspcode`^^8f=3
\xspcode`^^90=3
\xspcode`^^91=3
\xspcode`^^92=3
\xspcode`^^93=3
\xspcode`^^94=3
\xspcode`^^95=3
\xspcode`^^96=3
\xspcode`^^97=3
\xspcode`^^98=3
\xspcode`^^99=3
\xspcode`^^9a=3
\xspcode`^^9b=3
\xspcode`^^9c=3
\xspcode`^^9d=3
\xspcode`^^9e=3
\xspcode`^^9f=3
\xspcode`^^a0=3
\xspcode`^^a1=3
\xspcode`^^a2=3
\xspcode`^^a3=3
\xspcode`^^a4=3
\xspcode`^^a5=3
\xspcode`^^a6=3
\xspcode`^^a7=3
\xspcode`^^a8=3
\xspcode`^^a9=3
\xspcode`^^aa=3
\xspcode`^^ab=3
\xspcode`^^ac=3
\xspcode`^^ad=3
\xspcode`^^ae=3
\xspcode`^^af=3
\xspcode`^^b0=3
\xspcode`^^b1=3
\xspcode`^^b2=3
\xspcode`^^b3=3
\xspcode`^^b4=3
\xspcode`^^b5=3
\xspcode`^^b6=3
\xspcode`^^b7=3
\xspcode`^^b8=3
\xspcode`^^b9=3
\xspcode`^^ba=3
\xspcode`^^bb=3
\xspcode`^^bc=3
\xspcode`^^bd=3
\xspcode`^^be=3
\xspcode`^^bf=3
\xspcode`^^c0=3
\xspcode`^^c1=3
\xspcode`^^c2=3
\xspcode`^^c3=3
\xspcode`^^c4=3
\xspcode`^^c5=3
\xspcode`^^c6=3
\xspcode`^^c7=3
\xspcode`^^c8=3
\xspcode`^^c9=3
\xspcode`^^ca=3
\xspcode`^^cb=3
\xspcode`^^cc=3
\xspcode`^^cd=3
\xspcode`^^ce=3
\xspcode`^^cf=3
\xspcode`^^d0=3
\xspcode`^^d1=3
\xspcode`^^d2=3
\xspcode`^^d3=3
\xspcode`^^d4=3
\xspcode`^^d5=3
\xspcode`^^d6=3
\xspcode`^^d7=3
\xspcode`^^d8=3
\xspcode`^^d9=3
\xspcode`^^da=3
\xspcode`^^db=3
\xspcode`^^dc=3
\xspcode`^^dd=3
\xspcode`^^de=3
\xspcode`^^df=3
\xspcode`^^e0=3
\xspcode`^^e1=3
\xspcode`^^e2=3
\xspcode`^^e3=3
\xspcode`^^e4=3
\xspcode`^^e5=3
\xspcode`^^e6=3
\xspcode`^^e7=3
\xspcode`^^e8=3
\xspcode`^^e9=3
\xspcode`^^ea=3
\xspcode`^^eb=3
\xspcode`^^ec=3
\xspcode`^^ed=3
\xspcode`^^ee=3
\xspcode`^^ef=3
\xspcode`^^f0=3
\xspcode`^^f1=3
\xspcode`^^f2=3
\xspcode`^^f3=3
\xspcode`^^f4=3
\xspcode`^^f5=3
\xspcode`^^f6=3
\xspcode`^^f7=3
\xspcode`^^f8=3
\xspcode`^^f9=3
\xspcode`^^fa=3
\xspcode`^^fb=3
\xspcode`^^fc=3
\xspcode`^^fd=3
\xspcode`^^fe=3
\xspcode`^^ff=3

\def\@setfontsize#1#2#3{\@nomath#1%
 \ifx\protect\@typeset@protect
   \let\@currsize#1%
 \fi
 \fontsize{#2}{#3}\selectfont
 \kanjiskip=0zw \@plus .1zw \@minus .025zw
 \xkanjiskip=0.25em \@plus 0.15em \@minus 0.06em
}

\if@ismdraft
\renewcommand{\normalsize}{\@setfontsize\normalsize\@xipt{26}%
 \abovedisplayskip .5\Cvs \@plus .35\Cvs \@minus .15\Cvs
 \abovedisplayshortskip \z@ \@plus 1\p@
 %\belowdisplayshortskip .5\Cvs \@plus .15\Cvs \@minus .1\Cvs
 \belowdisplayshortskip .3\Cvs \@plus .15\Cvs \@minus .1\Cvs
 \belowdisplayskip \abovedisplayskip
 \let\@listi\@listI}
\else
\renewcommand{\normalsize}{\@setfontsize\normalsize\@ixpt{13}%
 \abovedisplayskip .5\Cvs \@plus .35\Cvs \@minus .15\Cvs
 \abovedisplayshortskip \z@ \@plus 1\p@
 %\belowdisplayshortskip .5\Cvs \@plus .15\Cvs \@minus .1\Cvs
 \belowdisplayshortskip .3\Cvs \@plus .15\Cvs \@minus .1\Cvs
 \belowdisplayskip \abovedisplayskip
 \let\@listi\@listI}
\fi
\normalsize

\setbox0\hbox{\char\euc"A1A1}% "
\setlength\Cht{\ht0}
\setlength\Cdp{\dp0}
\setlength\Cwd{\wd0}
\setlength\Cvs{\baselineskip}
\setlength\Chs{\wd0}

\if@ismdraft
\newcommand{\small}{\@setfontsize\small\@xpt{16}%
 \abovedisplayskip.5\baselineskip
  \@plus .35\baselineskip \@minus .15\baselineskip
 \abovedisplayshortskip \z@ \@plus 1\p@
 \belowdisplayshortskip .3\baselineskip
  \@plus .15\baselineskip \@minus .1\baselineskip
 \belowdisplayskip \abovedisplayskip
 \def\@listi{\leftmargin\leftmargini
             \topsep .5\baselineskip
              \@plus .25\baselineskip \@minus .15\baselineskip
             \parsep \z@
             \itemsep \parsep}%
}
\newcommand{\footnotesize}{\@setfontsize\footnotesize\@ixpt{13}%
 \abovedisplayskip.5\baselineskip
  \@plus .35\baselineskip \@minus .15\baselineskip
 \abovedisplayshortskip \z@ \@plus 1\p@
 \belowdisplayshortskip .3\baselineskip
  \@plus .15\baselineskip \@minus .1\baselineskip
 \belowdisplayskip \abovedisplayskip
  \def\@listi{\leftmargin\leftmargini
              \topsep .5\baselineskip
               \@plus .25\baselineskip \@minus .15\baselineskip
              \parsep \z@
              \itemsep \parsep}%
}
\else
\newcommand{\small}{\@setfontsize\small\@viiipt{11.5}%
 \abovedisplayskip.5\baselineskip
  \@plus .35\baselineskip \@minus .15\baselineskip
 \abovedisplayshortskip \z@ \@plus 1\p@
 \belowdisplayshortskip .3\baselineskip
  \@plus .15\baselineskip \@minus .1\baselineskip
 \belowdisplayskip \abovedisplayskip
 \def\@listi{\leftmargin\leftmargini
             \topsep .5\baselineskip
              \@plus .25\baselineskip \@minus .15\baselineskip
             \parsep \z@
             \itemsep \parsep}%
}
\newcommand{\footnotesize}{\@setfontsize\footnotesize\@viipt{10.5}%
 \abovedisplayskip.5\baselineskip
  \@plus .35\baselineskip \@minus .15\baselineskip
 \abovedisplayshortskip \z@ \@plus 1\p@
 \belowdisplayshortskip .3\baselineskip
  \@plus .15\baselineskip \@minus .1\baselineskip
 \belowdisplayskip \abovedisplayskip
  \def\@listi{\leftmargin\leftmargini
              \topsep .5\baselineskip
               \@plus .25\baselineskip \@minus .15\baselineskip
              \parsep \z@
              \itemsep \parsep}%
}
\fi

\newcommand{\scriptsize}{\@setfontsize\scriptsize{\@vpt}{9.5}}%
\newcommand{\tiny}{\@setfontsize\tiny{\@vpt}{7.5}}%
\newcommand{\large}{\@setfontsize\large{\@xipt}{14}}%
\newcommand{\Large}{\@setfontsize\Large{\@xiipt}{17}}%
\newcommand{\LARGE}{\@setfontsize\LARGE{\@xivpt}{21}}%
\newcommand{\huge}{\@setfontsize\huge{\@xviipt}{24}}%
\newcommand{\Huge}{\@setfontsize\Huge{18}{28}}% \@xxpt

\if@ismdraft
 \headsep10mm
\else
 \headsep6.5mm
\fi
%\topskip 9.25pt
\topskip1\Cht
\maxdepth.5\topskip
\headheight22mm %% toukeisuri2.sty Υޥޤˤ
%\headheight10pt %% toukeisuri2.sty Υޥޤˤ
\if@ismdraft
 \textwidth40\Cwd
 \textheight24\Cvs
 \advance \textheight \topskip
\else
 %\textwidth=136mm %%%%% 9.25pt 42ʸˤ
 \textwidth42\Cwd
 %\textheight=198.9mm %% 44 13pt
 \textheight43\Cvs
 \advance \textheight \topskip
 \advance \textheight .15mm
\fi
%\footskip30\p@ % toukeisuri2.sty
\footskip\z@
%%
\topmargin\paperheight
\advance \topmargin -\textheight
\advance \topmargin -\headheight
\advance \topmargin -\headsep
%\advance \topmargin -\footskip
\advance \topmargin -30\p@ % toukeisuri2.sty
\divide \topmargin \tw@
\advance \topmargin -3.3mm %%!! ??
\advance \topmargin -1in
\oddsidemargin\paperwidth
\advance \oddsidemargin -\textwidth
\divide \oddsidemargin \tw@
\advance \oddsidemargin -1in
\evensidemargin\oddsidemargin

\marginparwidth2in
%\@settopoint\marginparwidth

%% <from toukeisuri2.sty>
%\frenchspacing
%\xkanjiskip=.25zw plus .1zw minus .1zw%
%\inhibitxspcode`=0%
%\inhibitxspcode`=0%
%\inhibitxspcode`=0%
%% </from toukeisuri2.sty>

\if@ismdraft
%\footnotesep18.2\p@ % .7x26pt
\skip\footins 9\p@ \@plus 4\p@ \@minus 2\p@
\else
\skip\footins .75\Cvs \@plus 4\p@ \@minus 2\p@
\fi
\footnotesep9.1\p@ % 7.35\p@
\floatsep 1.25\Cvs \@plus 2\p@ \@minus 2\p@
\textfloatsep 1.75\Cvs \@plus 2\p@ \@minus 4\p@
\intextsep 1.5\Cvs \@plus 2\p@ \@minus 2\p@
\dblfloatsep 1.25\Cvs \@plus 2\p@ \@minus 2\p@
\dbltextfloatsep 1.75\Cvs \@plus 2\p@ \@minus 4\p@

\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}

\def\@listi{\leftmargin\leftmargini
  %\parsep 4\p@ \@plus2\p@ \@minus\p@
  %\topsep 8\p@ \@plus2\p@ \@minus4\p@
  %\itemsep4\p@ \@plus2\p@ \@minus\p@
  \topsep.5\Cvs \@plus .25\Cvs \@minus .15\Cvs
  \parsep\z@ %% 2\p@ \@plus\p@ \@minus\p@
  \itemsep\parsep
}
\let\@listI\@listi
\@listi
\def\@listii{\leftmargin\leftmarginii
   \labelwidth\leftmarginii \advance\labelwidth-\labelsep
   \topsep  4\p@ \@plus2\p@ \@minus\p@
   \parsep  2\p@ \@plus\p@  \@minus\p@
   \itemsep\parsep}
\def\@listiii{\leftmargin\leftmarginiii
   \labelwidth\leftmarginiii \advance\labelwidth-\labelsep
   \topsep 2\p@  \@plus\p@\@minus\p@
   \parsep\z@
   \partopsep \p@ \@plus\z@ \@minus\p@
   \itemsep\topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

\columnsep 2zw
\columnseprule 0\p@
\lineskip 1\p@ 
\normallineskip 1\p@
\renewcommand{\baselinestretch}{}
\parskip\z@
\parindent1zw

\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301

\setcounter{topnumber}{2}% 2
\setcounter{bottomnumber}{1}% 1
\setcounter{totalnumber}{3}% 3
\setcounter{dbltopnumber}{2}% 2
\renewcommand{\topfraction}{.95}% .7
\renewcommand{\bottomfraction}{.95}% .3
\renewcommand{\textfraction}{.05}% .2
\renewcommand{\floatpagefraction}{.05}% .5
\renewcommand{\dbltopfraction}{.95}% .7
\renewcommand{\dblfloatpagefraction}{.05}% .5

\if@Proof
 \def\col@ism@atari{\color{ism@atari}}%
 \def\@Rtop{\rlap{\col@ism@atari\smash{\rule[-\headsep]{0.1mm}{10mm}%
  \rule[-\headsep]{10mm}{0.1mm}}}}
 \def\@Ltop{\llap{\col@ism@atari\smash{\rule[-\headsep]{10mm}{0.1mm}%
  \rule[-\headsep]{0.1mm}{10mm}}}}
 \def\@Rbot{\rlap{\col@ism@atari\smash{\raisebox{1\footskip}%
  {\rule[-10mm]{0.1mm}{10mm}\rule{10mm}{0.1mm}}}}}
 \def\@Lbot{\llap{\col@ism@atari\smash{\raisebox{1\footskip}%
  {\rule{10mm}{0.1mm}\rule[-10mm]{0.1mm}{10mm}}}}}
\else
 \let\@Rtop\relax\let\@Ltop\relax\let\@Rbot\relax\let\@Lbot\relax
\fi

\def\ps@empty{%
 \let\@mkboth\markboth%
 \def\@evenhead{\@Ltop\hfil\@Rtop}%
 \let\@oddhead\@evenhead
 \def\@evenfoot{\@Lbot\hfil\@Rbot}%
 \let\@oddfoot\@evenfoot
}

\def\ps@plain{%
 \let\@mkboth\markboth%
 \def\@evenhead{\@Ltop
  {\fontsize{7.5}{13H}\selectfont
   \rlap{\hskip1zw\thepage}}\hfil
   \@Rtop}%
 \def\@oddhead{\@Ltop\hfil
  {\fontsize{7.5}{13H}\selectfont
   \llap{\thepage\hskip1zw}}\@Rtop}%
 \def\@evenfoot{\@Lbot\hfil\@Rbot}%
 \let\@oddfoot\@evenfoot
}

\def\head@font{%
 \if@ismdraft
  \fontsize{11}{\z@}\selectfont
 \else
  \fontsize{7.5}{13H}\selectfont
 \fi
}

\def\raise@when@draft#1{%
 \if@ismdraft
  \smash{\raise6mm\hbox{#1}}%
 \else
  #1%
 \fi
}

\def\ps@ism{%
 \let\@mkboth\markboth%
 \def\@evenhead{\@Ltop
  {\head@font
   \rlap{\hskip1zw\thepage}\hfil
   ׿\hskip1zw \@Vol \hskip1zw \@No \hskip1zw \@Year\hfil}%
   \@Rtop}%
 \def\@oddhead{\@Ltop
  {\head@font
   \hbox to \textwidth{\hss\head@title\hss}%
   \llap{\raise@when@draft{\thepage}\hskip1zw}}\@Rtop}%
 \if@ismdraft
  \let\@evenhead\@oddhead
 \fi
 \def\@evenfoot{\@Lbot\hfil\@Rbot}%
 \let\@oddfoot\@evenfoot
}

\def\ps@FPism{%
 \let\@mkboth\markboth%
 \def\@oddhead{%
  \if@ismdraft
   \fontsize{11}{15}\selectfont
  \else
   \fontsize{7.5}{13H}\selectfont
  \fi
  \if@ismdraft\else
   \smash{%
   \begin{tabular}[b]{@{}l@{}}
    ׿\@Year\\
    \@Vol \hskip.5zw \@No \hskip.5zw\the\c@page--\pageref{ism@lastpage}\\
    \leavevmode
    %\raise.2ex\hbox{\copyright}
    \copyright % use textcomp.sty
    \@Year\hskip.5zw ׿%
   \end{tabular}%
   }%
  \fi
  \hfill
  \smash{%
   \begin{tabular}[b]{@{}r@{}}
    \ifx\@Issue\@empty
     \if@ismdraft\smash{\raise6mm\llap{\the\c@page\hspace*{1zw}}}\fi\\
    \else
     ý\@Issue\inhibitglue
     \if@ismdraft\smash{\raise6mm\llap{\the\c@page\hspace*{1zw}}}\fi\\
    \fi
    \ifx\@Type\@empty
     \\
    \else
     \inhibitglue\@Type\inhibitglue\inhibitglue
     \if@cameraready\hspace*{-.2mm}\fi\\
    \fi
     %
   \end{tabular}%
  }%
 }%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
 \let\@evenfoot\@oddfoot
}

\def\Type#1{\gdef\@Type{#1}}
\def\@Type{}
\def\Issue#1{\gdef\@Issue{#1}}
\def\@Issue{}

\def\Vol#1{%
 \edef\@tempb{\zap@space#1 \@empty}%
 \afterassignment\remove@to@nnil
 \count@ 0\@tempb\relax\@nnil
 \ifnum\count@=\z@ % case of \Vol{0}
  \gdef\@Vol{xx}%
 \else
  \gdef\@Vol{\zap@space#1 \@empty}%
  \@tempcnta\@Vol\relax
  \advance \@tempcnta 1952\relax % 2014/62
  \xdef\@Year{\the\@tempcnta}%
 \fi
}
\def\@Vol{xx}
\def\@Year{20xx}

\def\No#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@No{xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@ % case of \No{0}
   \gdef\@No{xx}%
  \else
   \gdef\@No{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@No{xx}

\def\title{\@ifnextchar[% ]
 {\d@title}{\s@title}}
\def\d@title[#1]#2{%
 \gdef\head@title{#1}\measure@head{#1}%
 \gdef\@title{\leavevmode\inhibitglue #2\inhibitglue}}
\def\s@title#1{%
 \gdef\head@title{\def\\{\unskip\ignorespaces}\inhibitglue #1\inhibitglue}%
 \measure@head{#1}\gdef\@title{\leavevmode\inhibitglue #1\inhibitglue}}
\def\@title{}
\def\head@title{}

\def\subtitle#1{\gdef\@subtitle{#1}}
\def\@subtitle{}

\def\measure@head#1{%
 \setbox\@tempboxa\hbox{\def\\{\unskip\ignorespaces}%
  \footnotesize #1}%
 \ifdim \wd\@tempboxa > \textwidth
  \ism@warning{header is too long. make it shorter. 
  ^^J\@spaces For example, \string\title[header title]{title}}%
 \fi
}

\DeclareFixedFont{\KFtitle}{\kenc@JYn}{mc}{b}{n}{17}% 17
\def\title@font{\bfseries %}{
 \fontsize{18}{32.5H}\selectfont
 \ybaselineshift1.5\@EM\mathversion{bold}\KFtitle}

\DeclareFixedFont{\KFsubtitle}{\kenc@JYn}{mc}{b}{n}{12}
\def\subtitle@font{%
 \bfseries %}{
 \Large\baselineskip32.5H
 \ybaselineshift1.5\@EM\mathversion{bold}\KFsubtitle}

\def\maketitle{%
 \ifnum \@alcnt=\chk@alcnt\else
  \ism@warning{no or extra \string\affiliate\space is specified}%
 \fi
 \ifnum\check@p@alcnt<\p@alcnt
  \ism@warning{information of \string\paffiliate\space is not specified}%
 \fi
 \begingroup
  \ifnum\@alcnt=\@ne
   \def\thefootnote{\fnsymbol{footnote}}%
   \let\@fnsymbol\ism@fnsymbol
  \else
   \def\ism@fnsymbol##1{##1}%
  \fi
  \def\@makefnmark{\hbox{\kern\z@$^{\@thefnmark}$}}%
  \long\def\@makefntext##1{%
   \if@ismdraft
    \normalsize
   \else
    \fontsize{7.5}{13}\selectfont
   \fi
   %\ifnum\chk@alcnt>9\relax
   % \@tempdima2zw
   % \@tempdimb\@tempdima
   % \advance \@tempdimb .5zw
   %\else
   % \divide \chk@alcnt \tw@
   % \advance \chk@alcnt \@ne
   % \@tempdima=\chk@alcnt zw
   % \@tempdimb\@tempdima
   % \advance \@tempdimb .5zw
   %\fi
   %\everypar={\hangafter=1\relax\hangindent\@tempdimb}%
   \noindent
   \hbox to 2.5zw{\hss $^{\@thefnmark}$\hskip.15zw}\inhibitglue ##1}%
  \newpage
  \global\@topnum\z@   % Prevents figures from going at top of page.
  \@maketitle
  \thispagestyle{FPism}%
  \@Jaffiliate
  \def\thefootnote{\fnsymbol{footnote}}%
  \let\@fnsymbol\ism@p@fnsymbol
  \p@affiliate
  \@titlenote
  %\@thanks
 \endgroup
 \setcounter{footnote}{0}%
 \global\let\maketitle\relax
 \global\let\@maketitle\relax
 \global\let\@title\@empty
 \global\let\title\relax
 \global\let\@Jaffiliate\@empty
 %\global\let\@Eaffiliate\@empty
 \global\let\@received\@empty
 \global\let\@revised\@empty
 \global\let\@accepted\@empty
 \let\affiliate\relax\let\eaffiliate\relax
 \global\let\@titlenote\@empty
 \@authorcnt\z@
 \loop\ifnum \@authorcnt < \total@nr
  \advance \@authorcnt \@ne
   \expandafter\let\csname @Jauthorname\number\@authorcnt\endcsname\relax
   %\expandafter\let\csname @Eauthorname\number\@authorcnt\endcsname\relax
   \expandafter\let\csname al@\number\@authorcnt\endcsname\relax
 \repeat
}

\def\@maketitle{%
 \newpage\null
 \bgroup
  \parindent\z@
  \vskip-3mm
  \bgroup
   \centering
   \title@font % \baselineskip32.5H
   \@title\par
   \ifx\@subtitle\@empty\else
    \subtitle@font
    \st@dash\inhibitglue\@subtitle\inhibitglue\st@dash\par
   \fi
  \egroup
  \vskip36.5H
  \bgroup
   \centering
   \fontsize{11}{26H}\selectfont
   \@outputJauthorlist
   \ifx\@jtranslator\@empty\else
    \fontsize{8}{\f@baselineskip}\selectfont
    \hskip.5zw\@jtranslator%
   \fi
   \if@foreword
    \fontsize{8}{\f@baselineskip}\selectfont
    \hskip.5zw\ISMorganizer%
   \fi
   \par
   \if@ismdraft\else
    \ifx\@received\@empty
    \else
     {\small \@received\@revised\@accepted}\par
    \fi
   \fi
  \egroup
 \egroup
 \if@foreword
  \vskip2\Cvs
 \fi
 \vskip\belowtitlesep
}

\newdimen\belowtitlesep
\belowtitlesep\z@

\newif\if@translator \@translatorfalse
\def\translator#1#2{\@translatortrue
 \gdef\@jtranslator{#1}\gdef\@etranslator{#2}}
\def\@jtranslator{}
\def\@etranslator{}
\def\ISMorganizer{ʥ}

\def\titlenote#1{\unskip\hskip0pt
 \textsuperscript{\normalsize\normalfont *}%
 \protected@xdef\@titlenote{%
  \@titlenote\protect\footnotetext[1]{#1}}%
}
\def\@titlenote{}

\long\def\abstract{%
 \if@ismdraft
  \vskip1.5\Cvs
 \else
  \vskip2.5\Cvs
 \fi
 {\bfseries \hskip3zw }\par
 \vskip.5\Cvs
 \ignorespaces
}%
\def\endabstract{\par}%

\def\keywords{%
 \if@ismdraft\else
  \vskip.5\Cvs
 \fi
 \nopagebreak
 \leftskip2zw
 \rightskip\leftskip
 \noindent
 \hbox to 1zw{\hss \hss}%
 \ignorespaces
}
\def\endkeywords{\par
 \if@ismdraft
  \newpage
  \bgroup
   \leftskip\z@
   \rightskip\leftskip
   \footnotesep10.5\p@ % 15pt
   \pagestyle{Eism}%
   \makeEtitle
   \clearpage
   \pagestyle{ism}%
  \egroup
 \else
  \vspace*{.5\Cvs}
 \fi
}

%% <toukeisuri2.sty ȤθߴΤ>
\let\abst\abstract
\let\endabst\endabstract
\let\key\keywords
\let\endkey\endkeywords
%% </toukeisuri2.sty ȤθߴΤ>

\def\ism@fnsymbol#1{%
 \afterassignment\remove@to@nnil
  \count@ 0#1\relax\@nnil
 \ifnum\count@=\z@
  \ism@warning{some \string\affiliate\space is not assigned}%
  \mathrm{?}%
 \else
  \relax
  %\ifnum\chk@alcnt>9\relax
   \ifcase #1\or \dagger\or 
    {*}\or {*}{*}\or {*}{*}{*}\or {*}5\or {*}6\or {*}7\or {*}8\or {*}9\or
    {*}\or {*}{*}% for \titlenote
    \else\@ctrerr\fi\relax
  %\else
  % \ifcase #1\or \dagger\else\@ctrerr\fi\relax
  %\fi
 \fi
}

\def\ism@p@fnsymbol#1{%
 \afterassignment\remove@to@nnil
  \count@ 0#1\relax\@nnil
 \ifnum\count@=\z@
  \ism@warning{some \string\affiliate\space is not assigned}%
  \mathrm{?}%
 \else
  \relax
   \ifcase #1\or {*}\or {*}{*}\or {*}{*}{*}\or 
    {*}4\or {*}5\or {*}6\or {*}7\or {*}8\or {*}9%
    \else\@ctrerr\fi\relax
 \fi
}

\def\received#1#2#3{%
 \gdef\@received{#1ǯ#2#3}%
 \gdef\rec@YY{#1}%
}
\def\revised#1#2#3{%
 \gdef\@revised{%
  
  \ifnum\rec@YY=#1\relax\else #1ǯ\fi
   #2#3}%
 \gdef\rev@YY{#1}%
}
\def\accepted#1#2#3{%
 \gdef\@accepted{%
  
  \ifnum\rev@YY=\z@ % 0 ΤȤ(revisedʤΤȤ) received ǯӤ
   \ifnum\rec@YY=#1\relax\else #1ǯ\fi
  \else
   \ifnum\rev@YY=#1\relax\else #1ǯ\fi
  \fi
   #2#3}%
}
\def\@received{}
\def\@revised{}
\def\@accepted{}
\def\rec@YY{0}
\def\rev@YY{0}

\newtoks\@authorlist
\newcount\@authorcnt
\newcount\@alcnt
\newcount\p@alcnt
%\p@alcnt 9\relax
\newcount\total@nr
\newbox\@tempboxb
\newbox\@tempboxc
\newbox\@tempboxd

\newcount\chk@alcnt
\newcount\check@p@alcnt
%\check@p@alcnt 9\relax

\newcount\@SPRcnta
\newcount\@SPRcntb
\newcount\@SPRcntc

\def\authorlist#1{%
 \@authorlist={#1}\the\@authorlist\relax
}

\def\get@al#1{%
 \def\al@none{none}\def\@tempaffi{#1}%
 \ifx\al@none\@tempaffi\else
  \@for\get@label:=#1\do{%
   \@ifundefined{chk@\get@label}{\global\advance \chk@alcnt \@ne
    \expandafter\gdef\csname chk@\get@label\endcsname{}%
   }{}%
   \expandafter\def\expandafter\save@al\expandafter{%
    \csname al@\get@label\endcsname}%
   \advance \@tempcnta \@ne
   \protected@xdef\plural@affi{\plural@affi\penalty\@M
    \ifnum\@tempcnta=\@ne
     $^{\protect\ism@fnsymbol{\save@al}}$%
    \else
     \kern-.25ex$^{,\protect\ism@fnsymbol{\save@al}}$%
    \fi
   }%
  }%
 \fi
}
\def\plural@affi{}

\def\name@expandafter#1#2{%
 \def\next{#1}%
 \edef\@tempa{#2}%
 \ifx\@tempa\@empty
  \ism@warning{author's name is empty}%
  \def\@tempa{\@empty}%
 \fi
 \expandafter\next\@tempa}
\def\chk@name#1{\name@expandafter\@chk@name{#1}\@nil}
\def\@chk@name#1#2\@nil{\def\get@oneword{#1}}

\def\fmt@Jan#1{%
 \@temptokena{#1}%
 %% check of exceptions
 \chk@name{\the\@temptokena}%
 \setbox\@tempboxd\hbox{\get@oneword}%
 \ifdim \wd\@tempboxd=1zw %% japanese
  \setbox\@tempboxc\hbox{\def\G##1{##1\ }%
   \spaceskip=100mm #1}%
  \ifdim \wd\@tempboxc < 100mm
   \ism@warning{Author's name "#1" doesn't have a space}%
   \def\@authorname{\the\@temptokena}%
  \else
   \def\tr@name##1 ##2\@nil{##1\hskip.5zw ##2}%
   \protected@xdef\@authorname{\expandafter\tr@name #1\@nil\null}%
  \fi
 \else %% engish
  %\def\tr@name##1 ##2\@nil{##1 {\protect\scshape ##2}}%
  %\protected@xdef\@authorname{\expandafter\tr@name #1\@nil\null}%
  \protected@xdef\@authorname{#1}%
 \fi
}

\def\authorentry#1#2#3{\@ifnextchar[% ]
 {\J@aeP{#1}{#2}{#3}}%
 {\J@ae{#1}{#2}{#3}}}

\def\J@ae#1#2#3{%
 \def\tmp@an{#1}%
 \ifx\tmp@an\empty
 \else
  \@tempcnta\z@
  \advance \@authorcnt \@ne
  %% author label
  \get@al{#3}%
  \def\al@none{0}%
  %% author's name in Japanese
  %%\@temptokena{#1}
  \fmt@Jan{#1}% \the\@temptokena
  \expandafter\protected@xdef\csname @Jauthorname\number\@authorcnt\endcsname{%
   \@authorname\unskip\kern\z@\plural@affi
  }%
  %% author's name in English, same as \eauthorentry
  %\def\tr@name##1 ##2\@nil{##1 {\protect\scshape ##2}}%
  \protected@edef\@authorname{#2}%
  \expandafter\protected@xdef\csname @Eauthorname\number\@authorcnt\endcsname{%
   \@authorname\unskip\kern\z@\plural@affi
  }%
  \global\total@nr=\@authorcnt
  \def\@tempcheck{}%
  \def\plural@affi{}%
 \fi
}

\def\J@aeP#1#2#3[#4]{%
 \def\tmp@an{#1}%
 \ifx\tmp@an\empty
 \else
  \@tempcnta\z@
  \advance \@authorcnt \@ne
  %% author label
  \get@al{#3}%
  \def\al@none{0}%
  % author label (present)
  \@ifundefined{p@al@#4}%
   {\global\advance \p@alcnt \@ne
    \expandafter\xdef\csname p@al@#4\endcsname{\the\p@alcnt}}%
   {\relax}%
  \protected@xdef\@paffi{%
   \@ifundefined{p@al@#4}%
    {}%
    {$^{\protect\ism@p@fnsymbol{\csname p@al@#4\endcsname}}$}%
  }%
  %% author's name in Japanese
  %%\@temptokena{#1}
  \fmt@Jan{#1}% \the\@temptokena
  \expandafter\protected@xdef\csname @Jauthorname\number\@authorcnt\endcsname{%
   \@authorname\unskip\kern\z@\plural@affi
   \@paffi
  }%
  %% author's name in English, same as \eauthorentry
  %\def\tr@name##1 ##2\@nil{##1 {\protect\scshape ##2}}%
  \protected@edef\@authorname{#2}%
  \expandafter\protected@xdef\csname @Eauthorname\number\@authorcnt\endcsname{%
   \@authorname\unskip\kern\z@\plural@affi
   \@paffi
  }%
  \global\total@nr=\@authorcnt
  \def\@tempcheck{}%
  \def\plural@affi{}%
  \def\@paffi{}%
 \fi
}

%\def\eauthorentry#1#2{%
% \def\tmp@an{#1}%
% \ifx\tmp@an\empty
% \else
%  \@tempcnta\z@
%  \advance \@authorcnt \@ne
%  %% author label
%  \get@al{#2}%
%  \def\al@none{0}%
%  %% author's name in English, same as \authorentry
%  \def\tr@name##1 ##2\@nil{##1 {\protect\scshape ##2}}%
%  \protected@edef\@authorname{\expandafter\tr@name #1\@nil\null}%
%  \expandafter\protected@xdef\csname @Eauthorname\number\@authorcnt\endcsname{%
%   \@authorname\unskip\kern\z@\plural@affi
%  }%
%  \global\total@nr=\@authorcnt
%  \def\plural@affi{}%
% \fi
%}

\def\@outputJauthorlist{%
 \ifnum \total@nr > 12\relax
  \ism@warning{too many authors}%
 \fi
 %%
 %\align@author{}{\\}{}{@Jauthorname}%
 \align@author{}{\\}{}{@Jauthorname}%
}

\def\@outputEauthorlist{%
 \align@author{,\ }{,\\}{\ and\ }{@Eauthorname}%
}

%% J \align@author{}{\\}{}{@Jauthorname}%
%% E \align@author{,\ }{,\\}{\ and\ }{@Eauthorname}%

%% Ԥ¤εबʬʤΤŬˡʤȤꤢ8ͤޤǡ
\def\align@author#1#2#3#4{%
 \@authorcnt\z@
 \@SPRcntc=\total@nr
 \advance \@SPRcntc -\@ne
 \loop\ifnum \@authorcnt < \total@nr
  \advance \@authorcnt \@ne
  \expandafter\def\csname SPR\number\@authorcnt\endcsname{#1}%
  \ifnum \total@nr = \@ne
   \expandafter\def\csname SPR\number\@authorcnt\endcsname{}%
  \else
   \ifnum \total@nr < 5\relax
   \else
    \ifnum \total@nr < 9\relax
     \ifnum \total@nr = 5\relax
      \expandafter\def\csname SPR3\endcsname{#2}%
     \else
      \ifnum \total@nr = 8\relax
       \expandafter\def\csname SPR4\endcsname{#2}%
      \else
       \@SPRcnta=\total@nr
       \advance \@SPRcnta -\thr@@ % \tw@
       \expandafter\def\csname SPR\number\@SPRcnta\endcsname{#2}%
      \fi
     \fi
    \else
%     \ifnum \total@nr < 8\relax
%      \@SPRcnta=\total@nr
%      \advance \@SPRcnta -\thr@@
%      \expandafter\def\csname SPR\number\@SPRcnta\endcsname{#2}%
%     \else
%      \ifnum \total@nr = 8\relax
%       \@SPRcnta=\total@nr
%       \advance \@SPRcnta -4\relax
%       \expandafter\def\csname SPR\number\@SPRcnta\endcsname{#2}%
%      \else
%       \ifnum \total@nr < 11\relax
%        \@SPRcnta=\total@nr
%        \@SPRcntb=\total@nr
%        \advance \@SPRcnta -\thr@@
%        \advance \@SPRcntb -6\relax
%        \expandafter\def\csname SPR\number\@SPRcnta\endcsname{#2}%
%        \expandafter\def\csname SPR\number\@SPRcntb\endcsname{#2}%
%       \else
%        \ifnum \total@nr = 11\relax
%         \@SPRcnta=\total@nr
%         \@SPRcntb=\total@nr
%         \advance \@SPRcnta -\thr@@
%         \advance \@SPRcntb -7\relax
%         \expandafter\def\csname SPR\number\@SPRcnta\endcsname{#2}%
%         \expandafter\def\csname SPR\number\@SPRcntb\endcsname{#2}%
%        \else
%         \ifnum \total@nr = 12\relax
%          \@SPRcnta=\total@nr
%          \@SPRcntb=\total@nr
%          \advance \@SPRcnta -4\relax
%          \advance \@SPRcntb -8\relax
%          \expandafter\def\csname SPR\number\@SPRcnta\endcsname{#2}%
%          \expandafter\def\csname SPR\number\@SPRcntb\endcsname{#2}%
%         \else
%          \ifnum \total@nr < 15\relax
%           \expandafter\def\csname SPR4\endcsname{#2}%
%           \expandafter\def\csname SPR8\endcsname{#2}%
%           \expandafter\def\csname SPR11\endcsname{#2}%
%          \else
%           \ifnum \total@nr < 17\relax
%            \expandafter\def\csname SPR4\endcsname{#2}%
%            \expandafter\def\csname SPR8\endcsname{#2}%
%            \expandafter\def\csname SPR12\endcsname{#2}%
%           \else
%            \ifnum \total@nr < 19\relax
%	     \expandafter\def\csname SPR4\endcsname{#2}%
%	     \expandafter\def\csname SPR8\endcsname{#2}%
%	     \expandafter\def\csname SPR12\endcsname{#2}%
%	     \expandafter\def\csname SPR15\endcsname{#2}%
%            \else % 19, 20
%	     \expandafter\def\csname SPR4\endcsname{#2}%
%	     \expandafter\def\csname SPR8\endcsname{#2}%
%	     \expandafter\def\csname SPR12\endcsname{#2}%
%	     \expandafter\def\csname SPR16\endcsname{#2}%
%            \fi
%           \fi
%          \fi
%         \fi
%        \fi
%       \fi
%      \fi
%     \fi
    \fi
   \fi
  \fi
  \expandafter\def\csname SPR\number\@SPRcntc\endcsname{#3}%
  \expandafter\def\csname SPR\number\total@nr\endcsname{}%
  %%
  \csname #4\number\@authorcnt\endcsname
  \expandafter\def\csname #4\number\@authorcnt\endcsname{}%
  \csname SPR\number\@authorcnt\endcsname
 \repeat
}

\def\affiliate[#1]#2#3{%
 \advance \@alcnt \@ne
 \expandafter\xdef\csname al@#1\endcsname{\the\@alcnt}% 
 \bgroup
  \protected@xdef\@Jaffiliate{\@Jaffiliate
   \protect\footnotetext[\csname al@#1\endcsname]{#2}}%
  %\protected@xdef\@Eaffiliate{\@Eaffiliate
  % \protect\footnotetext[\csname al@#1\endcsname]{#3}}%
  \protected@xdef\@Eaffiliate{\@Eaffiliate
   $^{\protect\ism@fnsymbol{\csname al@#1\endcsname}}$#3\par}%
 \egroup
}
\def\@Jaffiliate{}
\def\@Eaffiliate{}

\def\paffiliate[#1]#2#3{%
 \advance \check@p@alcnt \@ne
 \begingroup
  \@ifundefined{p@al@#1}%
   {\expandafter\def\csname p@al@#1\endcsname{1}%
    \ism@warning{Check the "#1" label,^^J it does not correspond to 
     any labels in \string\authorentry\space command}}%
   {\protected@xdef\p@affiliate{\p@affiliate
     \protect\footnotetext[\csname p@al@#1\endcsname]{#2}}%
    \protected@xdef\p@Eaffiliate{\p@Eaffiliate
     $^{\protect\ism@p@fnsymbol{\csname p@al@#1\endcsname}}$#3\par}%
   }%
 \endgroup
}
\def\p@affiliate{}
\def\p@Eaffiliate{}

\def\ehead@font{%
 \if@ismdraft
  \fontsize{11}{\z@}\selectfont
 \else
  \fontsize{7.4}{\z@}\selectfont
 \fi
}

\def\ps@Eism{%
 \let\@mkboth\markboth
 \def\@evenhead{\@Ltop
  {\ehead@font
   \rlap{\hskip1zw\raise@when@draft{\thepage}}\hfil
   Proceedings of the Institute of Statistical Mathematics 
   \if@ismdraft\else
    Vol.\,\@Vol, No.\,\@No, 
    \pageref{ism@firstpage}--\pageref{ism@lastpage}\ \ (\@Year)%
   \fi
   \hfil}%
   \@Rtop}%
 \def\@oddhead{\@Ltop
  {\ehead@font
   \hfil
   Proceedings of the Institute of Statistical Mathematics 
   \if@ismdraft\else
    Vol.\,\@Vol, No.\,\@No, 
    \pageref{ism@firstpage}--\pageref{ism@lastpage}\ \ (\@Year)%
   \fi
   \hfil
   \llap{\raise@when@draft{\thepage}\hskip1zw}}%
   \@Rtop}%
 \if@ismdraft
  \let\@evenhead\@oddhead
 \fi
 \def\@evenfoot{\@Lbot\hfil\@Rbot}%
 \let\@oddfoot\@evenfoot
}

\def\etitle#1{\gdef\@etitle{#1}}
\def\@etitle{}
\def\esubtitle#1{\gdef\@esubtitle{#1}}
\def\@esubtitle{}

\long\def\eabstract#1{\gdef\@eabstract{\ignorespaces #1}}
\def\@eabstract{}
\def\ekeywords#1{\gdef\@ekeywords{\ignorespaces #1}}
\def\@ekeywords{}

%\long\def\eabstract{%
% \if@ismdraft
%  \vskip1.5\baselineskip
% \else
%  \vskip3.5\baselineskip
% \fi
% \if@ismdraft
%  \normalsize
% \else
%  \fontsize{\@xpt}{12}\selectfont
% \fi
% \parindent2em
% \ignorespaces
%}
%\def\endeabstract{\par}

%\def\ekeywords#1{%
% \protected@xdef\foot@keywords{%
%  \protect\footnotetext[0]{Key words:\,\ #1}}%
%}

%\def\LastPageinEnglish{%
% \clearpage
% \let\maketitle\makeEtitle
% \pagestyle{Eism}%
% \if@ismdraft
%  \footnotesep10.5\p@ % 15pt
% \else
%  \footnotesep7\p@ % 10pt
% \fi
%}

%\long\def\eabstract{%
% \if@ismdraft
%  \vskip1.5\baselineskip
% \else
%  \vskip3.5\baselineskip
% \fi
% \if@ismdraft
%  \normalsize
% \else
%  \fontsize{\@xpt}{12}\selectfont
% \fi
% \parindent2em
% \ignorespaces
%}
%\def\endeabstract{\par}

\def\etitle@font{\fontsize{\@xiipt}{17}\selectfont}
\let\esubtitle@font\etitle@font

\def\makeEtitle{%
 \begingroup
  \ifnum\@alcnt=\@ne
   \if@translator
    \def\ism@fnsymbol##1{##1}%
   \else
    \let\ism@fnsymbol\@gobble
   \fi
  \else
   \def\ism@fnsymbol##1{##1}%
  \fi
  \def\@makefnmark{\hbox{\kern\z@$^{\@thefnmark}$}}%
  \long\def\@makefntext##1{%
   \if@ismdraft
    \fontsize{\@xipt}{15}\selectfont
   \else
    \fontsize{7.5}{10}\selectfont
   \fi
   \noindent
   \hbox to 3.5mm{\hss}\inhibitglue ##1}%
  %%
  \global\@topnum\z@   % Prevents figures from going at top of page.
  \@makeEtitle
  \pagestyle{Eism}%
  %\foot@keywords
  \footnotetext[0]{Key words:\,\ \@ekeywords}%
  %%
  \if@ismdraft
   \vskip1.5\baselineskip
   \normalsize % \@xipt
   \parindent2em
   \@eabstract\par
  \else
   \vskip3.5\baselineskip
   \fontsize{\@xpt}{12}\selectfont
   \parindent2em
   \@eabstract\par
  \fi
 \endgroup
}

\def\@makeEtitle{%
 \newpage\null
 \bgroup
  \parindent\z@
  \vskip.5mm
  \bgroup
   \centering
   \etitle@font % \baselineskip32.5H
   \@etitle\par
   \ifx\@esubtitle\@empty\else
    \esubtitle@font
    ---\ignorespaces\@esubtitle\unskip---\par
   \fi
  \egroup
  \vskip3.25mm
  \bgroup
   \centering
   \if@ismdraft
    \fontsize{\@xipt}{15}\selectfont
   \else
    \fontsize{\@xpt}{14}\selectfont
   \fi
   \@outputEauthorlist
   \ifx\@etranslator\@empty\else
    \if@ismdraft
     \fontsize{10}{\f@baselineskip}\selectfont
    \else
     \fontsize{8}{\f@baselineskip}\selectfont
    \fi
    \ (\@etranslator, trans.\ to Japanese)%
   \fi
   \par
   \vskip3.5mm
  \egroup
  \bgroup
   \centering
   \small
   \if@ismdraft\else
    \baselineskip10pt
   \fi
   \@Eaffiliate
   \p@Eaffiliate
  \egroup
 \egroup
 \vskip\belowtitlesep
 \ignorespaces
}

%\def\p@thanks#1{\footnotemark
%  \protected@xdef\@thanks{\@thanks
%    \protect{\noindent$\m@th^\thefootnote$~#1\protect\par}}}

\setcounter{secnumdepth}{3}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
\renewcommand{\thesection}{\@arabic\c@section}
\renewcommand{\thesubsection}{\thesection.\@arabic\c@subsection}
\renewcommand{\thesubsubsection}{%
   \thesubsection.\@arabic\c@subsubsection}
\renewcommand{\theparagraph}{%
   \thesubsubsection.\@arabic\c@paragraph}
\renewcommand{\thesubparagraph}{%
   \theparagraph.\@arabic\c@subparagraph}

\def\@afterheading{%
 \global\@nobreaktrue
 \everypar{%
  \if@nobreak
   \global\@nobreakfalse
   \clubpenalty \z@
    \if@afterindent
    \else
     {\setbox\z@=\lastbox}%
    \fi
  \else
   \clubpenalty\@clubpenalty
   \everypar{}%
  \fi}%
}

%% \@startsection{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
   \if@nobreak
    %\typeout{!!!! #1}%
    \everypar{}%
   \else
    \addvspace\@tempskipa
   \fi
 \@ifstar{\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

%% \@sect{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}[ARG1]{ARG2}
%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@sect#1#2#3#4#5#6[#7]#8{%
 \ifnum #2>\c@secnumdepth
  \let\@svsec\@empty
 \else
  \refstepcounter{#1}%
  \protected@edef\@svsec{\csname #1cntformat\endcsname{#1}\relax}%
 \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{%
     #6{\hskip #3\relax
     \@svsec #8}%
   \csname #1mark\endcsname{#7}%
   \addcontentsline{toc}{#1}{%
     \ifnum #2>\c@secnumdepth \else
       \protect\numberline{\csname the#1\endcsname}%
     \fi
    #7}}%
  \else
   \begingroup
    #6{%
      \@hangfrom{\hskip #3\relax\@svsec}%
       \interlinepenalty \@M #8\@@par}%
   \endgroup
   \csname #1mark\endcsname{#7}%
   \addcontentsline{toc}{#1}{%
     \ifnum #2>\c@secnumdepth \else
      \protect\numberline{\csname the#1\endcsname}%
       \fi
   #7}%
  \fi
  \@xsect{#5}%
}

%% \@ssect{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}{ARG} ==
%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@ssect#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{#4{\hskip #1\relax #5}}%
  \else
    \begingroup
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M #5\@@par}%
    \endgroup
  \fi
  \@xsect{#3}%
}

%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa<\z@
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
        \pagebreak[1]% 2-->1
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
      %\global\@aftersecfalse %% 
  \else
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \fi
  \ignorespaces}

%%\def\@seccntformat#1{\csname the#1\endcsname\quad}
\def\sectioncntformat#1{\csname the#1\endcsname.\hskip1zw}
\def\subsectioncntformat#1{\csname the#1\endcsname\hskip1zw}
\def\subsubsectioncntformat#1{\csname the#1\endcsname\hskip1zw}

\newcommand{\section}{\@startsection{section}{1}{1zw}%
   {1\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {.5\Cvs \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\bfseries}}
\newcommand{\subsection}{\@startsection{subsection}{2}{1zw}%
   {1\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {\z@ \@plus.3\Cvs \@minus\z@}%
   {\reset@font\bfseries}}
\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{1zw}%
   {.5\Cvs \@plus.5\Cvs \@minus.2\Cvs}%
   {\z@ \@plus.3\Cvs \@minus\z@}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {-1zw}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subparagraph}{\@startsection{subparagraph}{5}{\z@}%
   {3.25ex \@plus 1ex \@minus .2ex}%
   {-1zw}%
   {\reset@font\normalsize\bfseries}}

\def\ack{\section*{\hskip2zw }}

\newif\if@appendix \@appendixfalse
\newcommand{\appendix}{\par
 \@appendixtrue
 \onelineskip
 \noindent\hfil
 {\bfseries \appendixname}\par
 \setcounter{section}{0}%
 \setcounter{subsection}{0}%
 \setcounter{equation}{0}%
 \renewcommand{\thesection}{\@Alph\c@section}%
 %%\def\@seccntformat##1{Ͽ\csname the##1\endcsname\hskip1zw}%
}

\if@twocolumn
  \setlength\leftmargini {2zw}% 2em
\else
  \setlength\leftmargini {2zw}% 2.5em
\fi
\setlength\leftmarginii  {2zw}% 2.2em
\setlength\leftmarginiii {2zw}% 1.87em
\setlength\leftmarginiv  {2zw}% 1.7em
\if@twocolumn
  \setlength\leftmarginv {1zw}% .5em
  \setlength\leftmarginvi{1zw}% .5em
\else
  \setlength\leftmarginv {1zw}% 1em
  \setlength\leftmarginvi{1zw}% 1em
\fi
\setlength  \labelsep  {.5zw}% .5em
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty\z@ % -\@lowpenalty
\@endparpenalty\z@ %   -\@lowpenalty
\@itempenalty\z@ %     -\@lowpenalty

\renewcommand{\theenumi}{\@arabic\c@enumi}
\renewcommand{\theenumii}{\@alph\c@enumii}
\renewcommand{\theenumiii}{\@roman\c@enumiii}
\renewcommand{\theenumiv}{\@Alph\c@enumiv}
%\newcommand{\labelenumi}{\theenumi.}
%\newcommand{\labelenumii}{(\theenumii)}
\newcommand{\labelenumi}{\leavevmode\inhibitglue \theenumi\inhibitglue}
\newcommand{\labelenumii}{\leavevmode\inhibitglue \theenumii\inhibitglue}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}

\renewenvironment{enumerate}
  {\ifnum \@enumdepth >3\relax\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
         \ifnum \@listdepth=\@ne
          \topsep.5\normalbaselineskip
         \else
          \topsep\z@
         \fi
         \parsep\z@\partopsep\z@\itemsep\z@
         \settowidth{\labelwidth}{\csname label\@enumctr\endcsname}%
         \labelsep\z@
         \leftmargin\labelwidth
         \advance\leftmargin \labelsep
         \advance\leftmargin 1zw
         \listparindent\z@
         \clubpenalty\z@
         \widowpenalty\z@
         \@itempenalty\z@
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\newcommand{\labelitemi}{\leavevmode
 \raise.15zh\hbox to 1zw{\hss \textbullet\hss}}% \llap{}
\newcommand{\labelitemii}{\leavevmode
 \hbox to 1zw{\hss \hss}}
\newcommand{\labelitemiii}{\leavevmode
 \raise.15zh\hbox to 1zw{\hss \textasteriskcentered\hss}}
\newcommand{\labelitemiv}{\leavevmode
 \raise.15zh\hbox to 1zw{\hss \textperiodcentered\hss}}

\renewenvironment{itemize}
  {\ifnum \@itemdepth >3\relax\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{%
         \ifnum \@listdepth=\@ne
          \topsep.5\normalbaselineskip
         \else
          \topsep\z@
         \fi
         \parsep\z@\partopsep\z@\itemsep\z@
         \labelwidth1zw
         \labelsep\z@
         \leftmargin2zw
         \listparindent1zw
         \clubpenalty\z@
         \widowpenalty\z@
         \@itempenalty\z@
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}% \global\@aftersecfalse

\newenvironment{description}
  {\list{}{%
%%   \labelwidth\z@ \itemindent-\leftmargin
%%   \iftdir
%%     \leftmargin\leftskip \advance\leftmargin3\Cwd
%%     \rightmargin\rightskip
%%     \labelsep=1zw \itemsep\z@
%%     \listparindent\z@ \topskip\z@ \parskip\z@ \partopsep\z@
%%   \fi
   \leftmargin=1zw
   \labelwidth=\leftmargin
   \labelsep=1zw
   \listparindent1zw
   \advance \labelwidth by -\labelsep
   \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
   \let\makelabel\descriptionlabel
  }}{\endlist}
\newcommand{\descriptionlabel}[1]{%
%%   \hspace\labelsep\normalfont\bfseries #1
  \setbox0=\hbox{\normalfont\bfseries #1}%
  \dimen0=\wd0  \dimen1=1zw
  \divide \dimen0 by \dimen1
  \multiply \dimen0 by \dimen1
  \ifdim \dimen0<\wd0 \advance \dimen0 by \dimen1 \fi
  \hbox to \dimen0{\box0 \hfil}\hfil
}

\newenvironment{verse}
  {\let\\\@centercr
   \list{}{\itemsep\z@
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \itemindent -1.5em%
           \listparindent\itemindent
           \rightmargin\leftmargin
           \advance\leftmargin 1.5em}%
           \item\relax}{\endlist}
\newenvironment{quotation}
  {\list{}{%
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \listparindent 1.5em%
           \itemindent\listparindent
           \rightmargin\leftmargin
           }%
           \item\relax}{\endlist}
\newenvironment{quote}
  {\list{}{%
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \rightmargin\leftmargin}%
           \item\relax}{\endlist}

\gdef\tabbing{\lineskip \z@skip\let\>\@rtab\let\<\@ltab\let\=\@settab
     \let\+\@tabplus\let\-\@tabminus\let\`\@tabrj\let\'\@tablab
     \let\\=\@tabcr
     \@hightab\@firsttab
     \global\@nxttabmar\@firsttab
     \dimen\@firsttab\@totalleftmargin
     \global\@tabpush\z@ \global\@rjfieldfalse
     \topsep.5\baselineskip \parsep\z@\partopsep\z@
     \trivlist \item\relax
     \if@minipage\else\vskip\parskip\fi
     \setbox\@tabfbox\hbox{%
       \rlap{\hskip\@totalleftmargin\indent\the\everypar}}%
     \def\@itemfudge{\box\@tabfbox}%
     \@startline\ignorespaces}

\newdimen\verbatimleftmargin
  \verbatimleftmargin\z@
\newdimen\verbatimbaselineskip
  \verbatimbaselineskip\baselineskip
\def\verbatimsize{\normalsize}
%% from latex.ltx
%\def\verbatim@font{\normalfont\ttfamily}

\def\@verbatim{%
 \interlinepenalty\z@
 \topsep.5\baselineskip
 \partopsep\z@\parsep\z@\itemsep\z@
 \trivlist \item\relax
  \if@minipage\else
   \vskip\baselineskip
   \vskip-\verbatimbaselineskip
   %\vskip\parskip
  \fi
  \leftskip\@totalleftmargin
  \if@minipage\else
   \advance \leftskip by \verbatimleftmargin
  \fi
  \rightskip\z@skip
  \parindent\z@\parfillskip\@flushglue\parskip\z@skip
  \@@par
  \@tempswafalse
  \def\par{%
    \if@tempswa
      \leavevmode \null \@@par\penalty\interlinepenalty
    \else
      \@tempswatrue
      \ifhmode\@@par\penalty\interlinepenalty\fi
    \fi}%
  \let\do\@makeother \dospecials
  \obeylines 
   \verbatimsize \baselineskip\verbatimbaselineskip
   \verbatim@font \@noligs
  \everypar \expandafter{\the\everypar \unpenalty}%
}

%% from latex.ltx
\def\@item[#1]{%
  \if@noparitem
    \@donoparitem
  \else
    \if@inlabel
      \indent \par
    \fi
    \ifhmode
      \unskip\unskip \par
    \fi
    \if@newlist
      \if@nobreak
        \@nbitem
      \else
        \addpenalty\@beginparpenalty
        \addvspace\@topsep
        \addvspace{-\parskip}%
      \fi
    \else
      \addpenalty\@itempenalty
      \addvspace\itemsep
    \fi
    \global\@inlabeltrue
  \fi
  \everypar{%
    \@minipagefalse
    \global\@newlistfalse
    \if@inlabel
      \global\@inlabelfalse
      {\setbox\z@\lastbox
       \ifvoid\z@
         \kern-\itemindent
       \fi}%
      \box\@labels
      \penalty\z@
    \fi
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\z@ % \@M --> \z@ 
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}%
  \if@noitemarg
    \@noitemargfalse
    \if@nmbrlist
      \refstepcounter\@listctr
    \fi
  \fi
  \sbox\@tempboxa{\makelabel{#1}}%
  \global\setbox\@labels\hbox{%
    \unhbox\@labels
    \hskip \itemindent
    \hskip -\labelwidth
    \hskip -\labelsep
    \ifdim \wd\@tempboxa >\labelwidth
      \box\@tempboxa
    \else
      \hbox to\labelwidth {\unhbox\@tempboxa}%
    \fi
    \hskip \labelsep}%
  \ignorespaces\inhibitglue
}

\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tb}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\floatenv\capwidth113mm
                \abovecaptionskip1mm\belowcaptionskip\z@\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\floatenv\capwidth113mm
                \abovecaptionskip1mm\belowcaptionskip\z@\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tb}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\floatenv\capwidth113mm
                \abovecaptionskip\z@\belowcaptionskip1.5mm\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\floatenv\capwidth113mm
                \abovecaptionskip\z@\belowcaptionskip1.5mm\@dblfloat{table}}
               {\end@dblfloat}

\newlength\abovecaptionskip
\newlength\belowcaptionskip

\def\floatenv{%
 \def\center{\par
  \centering
  \ignorespaces
 }%
 \def\endcenter{\par}%
}

\if@ismdraft
\DeclareFixedFont{\KFfloat}{\kenc@JYn}{mc}{m}{n}{10}
\else
\DeclareFixedFont{\KFfloat}{\kenc@JYn}{mc}{m}{n}{7.5}
\fi
\def\float@font{\small\KFfloat}

\def\@floatboxreset{%
 \reset@font
 \float@font\tabcolsep.5zw
 \@setminipage
}

\long\def\@caption#1[#2]#3{\par
 %\addcontentsline{\csname ext@#1\endcsname}{#1}%
 % {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
 \begingroup
  \@parboxrestore
  \if@minipage
   \@setminipage
  \fi
  \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
 \endgroup}

\newbox\@tempboxb
\newdimen\capwidth
\let\capnum@font\relax

\long\def\@makecaption#1#2{%
 \float@font
 \def\dotafter@flnum{\hbox to 1zw{\hss}}%
 \vskip\abovecaptionskip
 \setbox\@tempboxa\hbox{{\capnum@font #1}\dotafter@flnum
  \shortstack[l]{\inhibitglue #2}}%
 \@tempdima=\ht\@tempboxa\advance \@tempdima by \dp\@tempboxa
 \setbox\@tempboxb\hbox{\capnum@font #1\dotafter@flnum}%
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\dotafter@flnum\inhibitglue #2}\par
    \hrule height \z@
  \else
   \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\dotafter@flnum\inhibitglue #2}\par
    \hrule height \z@
  \fi
 \else
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\dotafter@flnum\inhibitglue #2}\par
    \hrule height \z@
  \else
   \hbox to\hsize{\hss\box\@tempboxa\hss}%
  \fi
 \fi
 \vspace{\belowcaptionskip}%
}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{.5zw}% 6\p@
\setlength\arrayrulewidth{.12mm}% .4\p@
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{.25zw}% 3\p@
\setlength\fboxrule{.12mm}% .4\p@

%\renewcommand{\theequation}{\@arabic\c@equation}

\if@enablejfam
  \if@compatibility\else
    \DeclareSymbolFont{mincho}{\kenc@JYn}{mc}{m}{n}
    \DeclareSymbolFontAlphabet{\mathmc}{mincho}
    \SetSymbolFont{mincho}{bold}{\kenc@JYn}{gt}{m}{n}
    \jfam\symmincho
    \DeclareMathAlphabet{\mathgt}{\kenc@JYn}{gt}{m}{n}
  \fi
  \if@mathrmmc
    \AtBeginDocument{%
    \reDeclareMathAlphabet{\mathrm}{\mathrm}{\mathmc}
    \reDeclareMathAlphabet{\mathbf}{\mathbf}{\mathgt}
  }%
  \fi
\else
  \DeclareRobustCommand{\mathmc}{%
    \@latex@error{Command \noexpand\mathmc invalid with\space
       `disablejfam' class option.}\@eha
  }
  \DeclareRobustCommand{\mathgt}{%
    \@latex@error{Command \noexpand\mathgt invalid with\space
       `disablejfam' class option.}\@eha
  }
\fi

\DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
\DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}

%% endnote Ѥ褦ˤ뤬ʲϻĤ
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newcommand{\newblock}{\hskip .11em\@plus.33em\@minus.07em}

\newenvironment{thebibliography}[1]
{\section*{}
 %\small --> \normalsize
 %\baselineskip12pt
 \list{\@biblabel{\@arabic\c@enumiv}}%
      {\settowidth\labelwidth{\@biblabel{#1}}%
       \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
       \leftmargin\labelwidth
       \advance\leftmargin\labelsep
       \advance \leftmargin 10pt
       \@openbib@code
       \usecounter{enumiv}%
       \let\p@enumiv\@empty
       \renewcommand\theenumiv{\@arabic\c@enumiv}}%
 \sloppy
 \clubpenalty\z@
 \@clubpenalty\clubpenalty
 \widowpenalty\z@
 \sfcode`\.\@m}
 {\def\@noitemerr
  {\@latex@warning{Empty `thebibliography' environment}}%
   \endlist}
\let\@openbib@code\@empty

\def\@biblabel#1{%
 \textsuperscript{%(
  #1)}}

%% <from toukeisuri2.sty>
%% ֹʤʸ
\newenvironment{reflist}%
{%%% cnoteϰ1 2011.2.15
 %\ifx\@cnotelist\@empty\relax
 %\else
 % \vskip.5\baselineskip\relax
 % \textbf{}\@xsect\z@%
 % \let\@elt\@put@cnote@elt
 % \@cnotelist
 % \global\let\@elt\relax
 %\fi
 \vskip8mm
 \pagebreak[2]%
 \begin{center}
  {\bfseries ͡ʸ}
 \end{center}
 \penalty\@Mi
 \begin{list}{}{%
  \itemindent=-30pt
  \listparindent=-30pt
  \topsep\z@\partopsep\z@
  \itemsep\z@\parsep\z@}
  \leftskip=20pt
  \if@ismdraft
   \normalsize % 26pt
  \else
   \small
   \baselineskip12pt
  \fi
 }%
 {\end{list}}% referenceѴĶ

\renewcommand{\footnoterule}{%
  \kern-3\p@
  \hrule width \columnwidth
  \kern 2.6\p@}

\let\org@footnote\footnote
\def\footnote{\unskip\inhibitglue\penalty\@M\org@footnote}

%\newcommand\@makefntext[1]{\parindent 1em
%  \noindent\smash{\hbox to 1.8em{\hss\@makefnmark}}#1}
%\def\@makefnmark{%
% \smash{\hbox{\kern\z@
%  \@textsuperscript{\normalfont\tiny\ybaselineshift0\@EM %
%  \kern0pt\@thefnmark \<}\kern\z@}}%
%}%

\def\@makefnmark{\smash{\hbox{\kern\z@$^{\@thefnmark}$}}}%
\long\def\@makefntext#1{%
 \if@ismdraft
  \normalsize
 \else
  \fontsize{7.5}{13}\selectfont
 \fi
 \noindent
 \hbox to 2.5zw{\hss $^{\@thefnmark}$\hskip.15zw}\inhibitglue #1}%

%\def\thefootnote{\fnsymbol{footnote}}
%\def\@fnsymbol#1{\ensuremath{\ifcase#1\or *\or \dagger\or \ddagger\or
%   \mathchar "278\or \mathchar "27B\or \|\or **\or \dagger\dagger
%   \or \ddagger\ddagger \else\@ctrerr\fi}}

%% from leqno.clo
%\ProvidesFile{leqno.clo}
%        [1998/08/17 v1.1c Standard LaTeX option
%                                   (left equation numbers)]
\renewcommand\@eqnnum{\hb@xt@.01\p@{}%
                      \rlap{\normalfont\normalcolor
                        \hskip -\displaywidth(\theequation)}}

\def\eqnarray{%
   \stepcounter{equation}%
   \def\@currentlabel{\p@equation\theequation}%
   \global\@eqnswtrue
   \m@th
   \global\@eqcnt\z@
   \tabskip\@centering
   \let\\\@eqncr
   $$\everycr{}\halign to\displaywidth\bgroup
       \hskip\@centering$\displaystyle\tabskip\z@skip{##}$\@eqnsel
      &\global\@eqcnt\@ne \hfil$\displaystyle{{}##{}}$\hfil
      &\global\@eqcnt\tw@ $\displaystyle{##}$\hfil\tabskip\@centering
      &\global\@eqcnt\thr@@ \hb@xt@\z@\bgroup\hss##\egroup
         \tabskip\z@skip
      \cr}

%\def\@eqnnum{{\normalfont \normalcolor (\theequation)}}

\def\@begintheorem#1#2{%
 \topsep.5\Cvs \@plus .25\Cvs \@minus .15\Cvs
 \parsep\z@\itemsep\z@\partopsep\z@
 \labelsep1zw
 \trivlist
 \leftskip1zw %%!!
 \item[\hskip\labelsep{\bfseries #1\ #2}.]}% \itshape
\def\@opargbegintheorem#1#2#3{%
 \topsep.5\Cvs \@plus .25\Cvs \@minus .15\Cvs
 \parsep\z@\itemsep\z@\partopsep\z@
 \labelsep1zw
 \trivlist
 \leftskip1zw %%!!
 \item[\hskip\labelsep{\bfseries #1\ #2}#3\inhibitglue.]}% \itshape
\def\@endtheorem{\endtrivlist}

\newcommand{\figurename}{}
\newcommand{\tablename}{ɽ}
\newcommand{\appendixname}{\hskip1zw Ͽ}

%% ʲ natbib ѤʤȤ thebibliography Ķǡפ
%% Ȥ \cite Ǿդ 1) Ϥ뤿˻ĤƤ
%% from citesort.sty
\newcount\@minsofar
\newcount\@min
\newcount\@cite@temp
\def\@citex[#1]#2{%
\if@filesw \immediate \write \@auxout {\string \citation {#2}}\fi
\@tempcntb\m@ne \let\@h@ld\relax \def\@citea{}%
\@min\m@ne%
\@cite{%
  \@for \@citeb:=#2\do {\@ifundefined {b@\@citeb}%
    {\@h@ld\@citea\@tempcntb\m@ne{\bfseries ?}%
    \@warning {Citation `\@citeb ' on page \thepage \space undefined}}%
{\@minsofar\z@ \@for \@scan@cites:=#2\do {%
  \@ifundefined{b@\@scan@cites}%
    {\@cite@temp\m@ne}
    {\@cite@temp\number\csname b@\@scan@cites \endcsname \relax}%
\ifnum\@cite@temp > \@min% select the next one to list
    \ifnum\@minsofar = \z@
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\else
    \ifnum\@cite@temp < \@minsofar
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\fi\fi\fi}\@tempcnta\@min
  \ifnum\@minsofar > \z@ % some more
    \advance\@tempcnta\@ne
    \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar %   Number follows previous--hold on to it
      \ifx\@h@ld\relax
        \edef \@h@ld{\@citea\csname b@\@scan@copy\endcsname}%
      \else \edef\@h@ld{\ifmmode{-}\else--\fi\csname b@\@scan@copy\endcsname}%
      \fi
    \else \@h@ld\@citea\csname b@\@scan@copy\endcsname
          \let\@h@ld\relax
  \fi % no more
\fi}%
\def\@citea{,\penalty\@highpenalty\,}}\@h@ld}{#1}}

%% from "cite.sty", with a little modified
\def\@cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
  \smash{\kern\z@
   $^{\mbox{\tiny {\multiply\@highpenalty 3 #1%  % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note. %(
    })}}$\kern\z@}\spacefactor\@m}
%% end of cite.sty

\let\org@cite\@cite
\def\cite{\@ifnextchar[% ]
 {\@tempswatrue\let\@cite\org@cite\@citex}
 {\@tempswafalse\let\@cite\org@cite\@citex[]}}
\def\Cite{\@ifnextchar[% ]
 {\@tempswatrue\let\@cite\@Cite\@citex}
 {\@tempswafalse\let\@cite\@Cite\@citex[]}}

\def\@Cite#1#2{\leavevmode %% \unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
  {\multiply\@highpenalty 3 #1%             % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.%(
    })\spacefactor\@m}

\def\onelineskip{\par\vspace{1\baselineskip}\par}
\def\halflineskip{\par\vspace{.5\baselineskip}\par}

\def\st@dash{\penalty10000\leavevmode
 \raise.15zh\hbox to 1.3zw{---\hss ---}}% 
\DeclareRobustCommand\ddash{\penalty\@M\leavevmode
 \raise.1zw\hbox to 1.5zw{---\hss ---}}% 
\DeclareRobustCommand\zdash{\leavevmode
 \kern.1zw\raise.1zw\hbox to 1zw{\hss ---\hss}\hskip.1zw}
\DeclareRobustCommand\hdash{\penalty\@M\leavevmode
 \raise.1zw\hbox{--}}
\DeclareRobustCommand\sdash{\penalty\@M\kern.25ex
 \raise.1zw\hbox{-}\hskip.1ex}% \rlap{}

\DeclareRobustCommand*\RN[1]{\uppercase\expandafter{\romannumeral#1}}
\DeclareRobustCommand*\MARU[1]{\raisebox{0.1zh}{{%
 \leavevmode\ooalign{\hfil\lower.168ex\hbox{#1}\hfil\crcr\mathhexbox20D}}}}

\DeclareRobustCommand\kintou[2]{%
 \leavevmode\hbox to #1{%
  \kanjiskip\z@ \@plus 1fill \@minus 1fill\xkanjiskip\kanjiskip #2\hfil}}
\DeclareRobustCommand\ruby[2]{\leavevmode
 \setbox0=\hbox{#1}\setbox1=\hbox{\tiny #2}%
 \ifdim\wd0>\wd1 \dimen0=\wd0 \else \dimen0=\wd1 \fi
 \leavevmode
 \smash{\hbox{\kanjiskip=\fill
 \vbox{\hbox to \dimen0{\tiny \hfil#2\hfil}%
  \nointerlineskip \hbox to \dimen0{\hfil#1\hfil}}}}}
\def\FRAC#1#2{\leavevmode\kern-.1em
  \raise.5ex\hbox{\the\scriptfont0 #1}\kern-.1em
  /\kern-.15em\lower.25ex\hbox{\the\scriptfont0 #2}}
\def\QED{{\fboxsep\z@\fboxrule.1mm
 \unskip\nobreak\hfil\penalty50
 \hskip2.75mm\hbox{}\nobreak\hfil 
  \mbox{\smash{\fbox{\rule{0mm}{3mm}\rule{1.5mm}{0mm}}}\hskip1zw}%
 \parfillskip\z@ \finalhyphendemerits\z@\par}}

\postbreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`"=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\if@enable@uptex
\postbreakpenalty16=10000
\else
\postbreakpenalty"5C=10000
\fi
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\inhibitxspcode`=2
\inhibitxspcode`=1

\def\sloppy{\tolerance9999\hbadness9999\hfuzz.5\p@ \vfuzz.5\p@}

\hbadness4000
%\vbadness10001
\tolerance4000\pretolerance\m@ne
\clubpenalty\z@
\widowpenalty\z@

\AtBeginDocument{%
 \label{ism@firstpage}%
 %% η
 \if@cameraready
  \if@Proof
   \@ifundefined{color}{%
    \RequirePackage[named]{xcolor}%
   }{}%
   \definecolor{ism@atari}{cmyk}{0.2,0,0,0}%
  \fi
 \else
  %\@ifundefined{color}%
  % {\let\color\@gobble}%
  % {\definecolor{ism@atari}{cmyk}{0,0,0,1}}%
  \let\col@ism@atari\relax
 \fi
 %% geometry.sty Ȥ߹ޤʤ褦
 \@ifpackageloaded{geometry}{%
  \@latex@warning@no@line{Don't use package "geometry"}
  \def\geometry{Don't use package ``geometry.sty''.}\geometry}{}%
 %% ams ȤȤäɬ
 \displaywidowpenalty\z@
 \interdisplaylinepenalty\z@
 \predisplaypenalty\z@
 \postdisplaypenalty\z@
 %% cmex7,8,9 Ȥʤ
 %% \usepackage[psamsfonts]{amssymb} ѻˤ
 %% \usepackage[cmex10]{amsmath} ѻˤ
 %% cmex@opt  amsmath.sty Ƥ
 %%   --> /work/lib/tex/font/cmex-problem.tex
 \@ifundefined{cmex@opt}{%
  \DeclareFontFamily{OMX}{cmex}{}{}%
  \DeclareFontShape{OMX}{cmex}{m}{n}{%
   <->    cmex10
  }{}%
 }{%
  \ifnum\cmex@opt=7\relax
   \DeclareFontFamily{OMX}{cmex}{}{}%
   \DeclareFontShape{OMX}{cmex}{m}{n}{%
    <->    cmex10
   }{}%
  \fi
 }%
 %% amsmath
 \@ifpackageloaded{amsmath}%
  {\numberwithin{equation}{section}%
   \renewcommand{\eqref}[1]{\textup{\ref{#1}}}%
  }%
  {\renewcommand{\theequation}{\thesection.\@arabic\c@equation}%
   \newcommand{\eqref}[1]{\textup{\ref{#1}}}%
  }%
 %% amsthm
 \@ifpackageloaded{amsthm}{%
  %% \thm@preskip=\topsep \thm@postskip=\thm@preskip Ѥ
  %% [] ܡɤˤʤ / head θ1 / Τ1
  \def\@thm#1#2#3{%
    \ifhmode\unskip\unskip\par\fi
    \normalfont\normalsize
    \trivlist
    \leftskip1zw %%!!
    \let\thmheadnl\relax
    \let\thm@swap\@gobble
    \thm@notefont{\fontseries\mddefault\upshape}%
    %\thm@notefont{\bfseries}%
    \thm@headpunct{\normalfont .}% add period after heading
    %\thm@headsep 5\p@ plus\p@ minus\p@\relax
    \thm@headsep 1zw \@plus .15zw \@minus .25zw\relax
    \thm@space@setup
    #1% style overrides
    \@topsep \thm@preskip               % used by thm head
    \@topsepadd \thm@postskip           % used by \@endparenv
    \def\@tempa{#2}\ifx\@empty\@tempa
      \def\@tempa{\@oparg{\@begintheorem{#3}{}}[]}%
    \else
      \refstepcounter{#2}%
      \def\@tempa{\@oparg{\@begintheorem{#3}{\csname the#2\endcsname}}[]}%
    \fi
    \@tempa
  }%
  \def\th@plain{% style=plain
   %\itshape % body font
  }%
  \def\th@remark{% style=remark
   \thm@headfont{\bfseries}%
   \normalfont % body font
   %\thm@preskip\topsep \divide\thm@preskip\tw@
   %\thm@postskip\thm@preskip
  }%
  %% ȾѥѡѤ
  %\def\thmhead@plain#1#2#3{%
  %  \thmname{#1}\thmnumber{\@ifnotempty{#1}{ }\@upn{#2}}%
  %  \thmnote{ {\the\thm@notefont\inhibitglue #3\inhibitglue}}}%
  \def\thmhead@plain#1#2#3{%
    \thmname{#1}\thmnumber{\@ifnotempty{#1}{ }\@upn{#2}}%
    \thmnote{{\the\thm@notefont\inhibitglue #3\inhibitglue}}}%
  \let\thmhead\thmhead@plain
  %% proof
  \def\proofname{\textbf{}}%
  \renewenvironment{proof}[1][\proofname]{\par
    \pushQED{\qed}%
    \normalfont
    %\topsep6\p@\@plus6\p@\relax
    \labelsep1zw
    \topsep.5\Cvs \@plus .25\Cvs \@minus .15\Cvs
    \trivlist
    \item[\hskip\labelsep
          %\itshape 
      \textbf{#1\inhibitglue}\@addpunct{.}]\ignorespaces
  }{%
    \popQED\endtrivlist\@endpefalse
  }%
 }{}%
 %% theorem.sty
 \@ifpackageloaded{theorem}{%
  \theoremstyle{plain}%
  \theorembodyfont{\normalfont}%
  \theoremheaderfont{\bfseries}
  %\def\theorem@headerfont{\bfseries}%
  \global\setlength\theorempreskipamount{%
   .5\Cvs \@plus .25\Cvs \@minus .15\Cvs}%
  \global\setlength\theorempostskipamount{%
   .5\Cvs \@plus .25\Cvs \@minus .15\Cvs}%
  \gdef\@thm#1#2{\refstepcounter{#1}%
     \trivlist
     \leftskip1zw %%!!
     \@topsep \theorempreskipamount               % used by first \item
     \@topsepadd \theorempostskipamount           % used by \@endparenv
     \@ifnextchar [% ]
     {\@ythm{#1}{#2}}%
     {\@begintheorem{#2}{\csname the#1\endcsname}\ignorespaces}}%
  \gdef\th@plain{\normalfont %\itshape
   \def\@begintheorem##1##2{%
    \item[\hskip\labelsep {\theorem@headerfont ##1\ ##2}.]}%
   \def\@opargbegintheorem##1##2##3{%
    \item[\hskip\labelsep{\theorem@headerfont ##1\ ##2}##3\inhibitglue.]}%
  }%
  %% \theoremstyle{break}
  \gdef\th@break{\normalfont %\slshape
   \def\@begintheorem##1##2{%
    \labelsep1zw
    \item[\rlap{\vbox{\hbox{\hskip \labelsep
     \theorem@headerfont ##1\ ##2.}%
     \hbox{\strut}}}]}%
   \def\@opargbegintheorem##1##2##3{%
    \labelsep1zw
    \item[\rlap{\vbox{\hbox{\hskip \labelsep
     {\theorem@headerfont ##1\ ##2}##3\inhibitglue.}%
     \hbox{\strut}}}]}}%
 }{}%
 %% natbib.sty
 %%\def\NAT@@citetp[#1]{\@ifnextchar[{\@citex[#1]}{\@citex[][#1]}}% ]
 \@ifpackageloaded{natbib}{% version 8.31b
  \renewcommand\NAT@open{\inhibitglue }%
  \renewcommand\NAT@close{\inhibitglue}%
  \def\citeP{\begingroup
     \renewcommand\NAT@open{}%
     \renewcommand\NAT@close{}%
     \renewcommand\NAT@cmt{}%
     \NAT@swatrue\let\NAT@ctype\z@\NAT@partrue
     \@ifstar{\NAT@fulltrue\NAT@citetp}{\NAT@fullfalse\NAT@citetp}}%
  %%
  \@ifundefined{setcitestyle}{}{\setcitestyle{yysep={,~}}}% for v7.1 etc.
  \def\bibsection{\vskip8mm\centering\noindent{\bfseries ͡ʸ}}%
  \if@ismdraft
   \def\bibfont{\normalsize}%
  \else
   \def\bibfont{\small}%
  \fi
  \newdimen\ism@bibindent
  \ism@bibindent\hsize
  \advance \ism@bibindent -10pt
  \edef\bibpreamble{\@totalleftmargin10pt\linewidth\ism@bibindent}%
  %\def\bibpostamble{}%
  \bibhang20pt
  \bibsep0pt
 }{}%
 %% endfloat.sty for ismdraft
 \if@ismdraft
  \@ifpackageloaded{endfloat}{}{\RequirePackage[nolists]{endfloat}}%
  \renewcommand{\floatplace}[1]{%
   \begin{center}
    \csname #1name\endcsname~\csname thepost#1\endcsname\ Ϥء%
   \end{center}}%
  \AtBeginDelayedFloats{\pagestyle{ism}}%
 \fi
 %% endnotes.sty
 \@ifpackageloaded{endnotes}{%
  \let\footnote\endnote
  \renewcommand{\theendnote}{%(
   \arabic{endnote})}%
  \def\@makeenmark{\hbox{\kern\z@\@textsuperscript{\normalfont\@theenmark}}}%
  \renewcommand{\notesname}{}%
  \def\enotesize{\normalsize}%
  \def\enoteformat{\rightskip\z@
   \leftskip21.68097pt % leftmargin=21.68097pt in thebibliography env.
   \parindent\z@
   \leavevmode\llap{\makeenmark\ }}%
 }{}%
 %% enumerate.sty
 \@ifpackageloaded{enumerate}{%
  \def\@@enum@[#1]{%
    \@enLab{}\let\@enThe\@enQmark
    \@enloop#1\@enum@
    \ifx\@enThe\@enQmark\@warning{The counter will not be printed.%
     ^^J\space\@spaces\@spaces\@spaces The label is: \the\@enLab}\fi
    \expandafter\edef\csname label\@enumctr\endcsname{\the\@enLab}%
    \expandafter\let\csname the\@enumctr\endcsname\@enThe
    \csname c@\@enumctr\endcsname7
    \expandafter\settowidth
              \csname leftmargin\romannumeral\@enumdepth\endcsname
              {\the\@enLab}% \hspace{\labelsep}
    \@enum@}%
  \def\@enum@{%
   \list{\csname label\@enumctr\endcsname}%
    {\labelsep\z@
     \expandafter\leftmargin\csname leftmargin\romannumeral\@enumdepth\endcsname
     %\itemindent1zw
     \advance \leftmargin 1zw
     \ifnum \@enumdepth=\@ne
      \topsep.5\baselineskip
     \else
      \topsep\z@
     \fi
     \parsep\z@\partopsep\z@\itemsep\z@
     %%
     \usecounter{\@enumctr}\def\makelabel##1{\hss\llap{##1}}}%
  }%
 }{}%
}

\AtEndDocument{%
 \if@ismdraft\else
  \clearpage
  \footnotesep7\p@ % 10pt
  \pagestyle{Eism}%
  \makeEtitle
  \clearpage
  \addtocounter{page}{-1}%
  \immediate\write\@auxout
   {\string\newlabel{ism@lastpage}{{}{\the\c@page}}}%
  %\addtocounter{page}{1}%
 \fi
}

\pagestyle{ism}
\raggedbottom
\pagenumbering{arabic}

\if@twocolumn
 \twocolumn
 \sloppy
\else
 \onecolumn
\fi
\if@twoside
 \@mparswitchtrue
\else
 \@mparswitchfalse
\fi

\endinput
